Bug 63706 - rsh, rcp and rlogin are not usable in %pre install script
rsh, rcp and rlogin are not usable in %pre install script
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rsh (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-17 13:32 EDT by Philip Pokorny
Modified: 2015-03-04 20:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-25 09:19:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Philip Pokorny 2002-04-17 13:32:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
The rsh, rcp, and rlogin commands are included in the stage2 filesystem for use
during install.  However, they are the standard "OS" versions and use
getservbyname to get the TCP socket to use.  This is a good thing, but there is
no /etc/services in stage2.img.  Thus the getservbyname call fails and all three
utilities print out something like:

   rlogin: login/tcp: unknown service
   rcp: shell/tcp: unknown service
rdate prior to version 1.2 had a similar problem and was patched for version 1.2
to fall back to the well known port number if getservbyname failed.

Please add similar fallback code to rsh, rcp and rlogin so they are usable
without a valid /etc/services or nsswitch configuration.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot the installer
2. Select NFS or CDROM install
3. At the shell prompt on console 2
4. Try:  rcp 10.1.1.1:/install/customize/file /tmp/file

Actual Results:  
rcp: shell/tcp: unknown service

Expected Results:  File is copied to /tmp/file

Additional info:

I can't find any bugzilla entry for the patches that were made to rdate, but the
same fix has already been made for rdate-1.2.

It could be argued that /etc/services should be added to stage2.img, but stage2
is not mounted on / and so /etc/services is not easily available for fixing in
this way.
Comment 1 Jim Wright 2002-10-26 00:24:51 EDT
I just confirmed that this is fixed in rh80 (as well as the rdate issue in
#63707).  ok to close.
Comment 2 Phil Knirsch 2003-06-25 09:19:27 EDT
Closing for current release.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.